# nxLogging
This lightweight and open source framework provides logging for Delphi. It is full featured, supports multiple Loggers, Appenders and Formaters, but comes in a single file "nxLogging.pas". You can use it free for both, private and commercial applications.

Target compilers are from Delphi 2010 to Delphi X Sydney, it is cross plattform, for Firemonkey and VCL.

You can use file logging in various strategies (plain, rolling file appender, ...) and remote logging is also supported. The framework can send log messages immediately to log servers, a central database for all your logmessages from all your installations.

There is also a free tool "nxTail" for live viewing logs. This can tail your log files and can be connected to log servers, to show all logs from all sources.

For a quick overview in german click [here](https://www.navimatix.de/developer_solutions/logserver#logserver_log_delphi).

For a german tutorial video click [here](https://www.youtube.com/watch?v=gD03HFQacPs).

Containing packages for:
* XE5
* DX Berlin
* DX Tokyo
* DX Rio
* DX Sydney

__Now with Delphinus-Support__

# usage in Delphi



```

implementation

uses
  nxLogging;
  
Logger.initializeFileLogging('OPOS', Path_to_save, LogFileName);
Logger.info('Memory', 'My Value');

```

## Version
see packages.tools.VersionInformation to use version numbers for jenkins and other modules